PlugInConfig (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class PlugInConfig

    java.lang.Object
      org.apache.struts.config.PlugInConfig

All Implemented Interfaces:
  Serializable

    public class PlugInConfig

extends Object
implements Serializable

A JavaBean representing the configuration information of a `<plug-in>` element in a Struts configuration file.

Note that this class does not extend `BaseConfig` because it is more "internal" than the other classes which do, and because this class has an existing "properties" object which collides with the one in `BaseConfig`. Also, since one always writes a concrete PlugIn implementation, there seems to be less call for an arbitrary property map; one can simply use bean properties instead.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2005-05-12 18:41:19 -0400 (Thu, 12 May 2005) $
See Also:
  Serialized Form

Field Summary
`protected String` | `className` The fully qualified Java class name of the `PlugIn` implementation class being configured.
`protected boolean` | `configured` Has this component been completely configured?
`protected Map` | `properties` A `Map` of the name-value pairs that will be used to configure the property values of a `PlugIn` instance.

Constructor Summary
`PlugInConfig()`

Method Summary
`void` | `addProperty(String name, String value)` Add a new property name and value to the set that will be used to configure the `PlugIn` instance.
`void` | `freeze()` Freeze the configuration of this component.
`String` | `getClassName()`
`Map` | `getProperties()` Return the properties that will be used to configure a `PlugIn` instance.
`void` | `setClassName(String className)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configured

    protected boolean configured

  Has this component been completely configured?

### properties

    protected Map properties

  A `Map` of the name-value pairs that will be used to configure the property values of a `PlugIn` instance.

### className

    protected String className

  The fully qualified Java class name of the `PlugIn` implementation class being configured.

Constructor Detail

### PlugInConfig

    public PlugInConfig()

Method Detail

### getClassName

    public String getClassName()

### setClassName

    public void setClassName(String className)

### addProperty

    public void addProperty(String name,
                            String value)

  Add a new property name and value to the set that will be used to configure the `PlugIn` instance.

  Parameters:
    `name` - Property name
    `value` - Property value

### freeze

    public void freeze()

  Freeze the configuration of this component.

### getProperties

    public Map getProperties()

  Return the properties that will be used to configure a `PlugIn` instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.